org.apache.ignite.lang

## Interface IgniteBiPredicate<E1,E2>

Type Parameters:
  `E1` - Type of the first parameter.
  `E2` - Type of the second parameter.

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  GridifyNodeFilter, P2<T1,T2>, PKV<K,V>, PlatformCacheEntryFilter, PlatformEventFilterListener, PlatformMessageFilter

All Known Implementing Classes:
  GridSetQueryPredicate, IgnitePredicate2X, MessagingListenActor, PlatformCacheEntryFilterImpl, PlatformEventFilterListenerImpl, PlatformMessageFilterImpl, PlatformMessageLocalFilter, PX2

    public interface IgniteBiPredicate<E1,E2>
    extends Serializable

Defines a predicate which accepts two parameters and returns `true` or `false`.

### Method Summary

Methods
`boolean` `apply(E1 e1, E2 e2)` Predicate body.

### Method Detail

#### apply

    boolean apply(E1 e1,
                E2 e2)

Predicate body.

Parameters:
  `e1` - First parameter.
  `e2` - Second parameter.
Returns:
  Return value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016